## qgis 3.99.0+git20251102+8d39f46cfdd+99sid

=== debian/changelog ===
qgis (1:3.99.0+git20251102+8d39f46cfdd+99sid) sid; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 03 Nov 2025 13:21:36 +0000

## qgis 3.99.0+git20251105+0ceeea4a5de+18trixie

=== debian/changelog ===
qgis (1:3.99.0+git20251105+0ceeea4a5de+18trixie) trixie; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 06 Nov 2025 18:16:09 +0000

## qgis 3.99.0+git20251105+0ceeea4a5de+42plucky

=== debian/changelog ===
qgis (1:3.99.0+git20251105+0ceeea4a5de+42plucky) plucky; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 06 Nov 2025 02:33:04 +0000

## qgis 3.99.0+git20251105+0ceeea4a5de+43questing

=== src/test/CMakeLists.txt ===
add_definitions(-DTEST_DATA_DIR="${TEST_DATA_DIR}")

# for installing headers

include_directories(SYSTEM
  ${QT_INCLUDE_DIR}
)

set(QGIS_TEST_HDRS
  qgstest.h
)

add_library(qgis_test ${LIBRARY_TYPE}
  ${QGIS_TEST_HDRS}
)

target_include_directories(qgis_test PUBLIC
  ${CMAKE_SOURCE_DIR}/src/test

  ${CMAKE_BINARY_DIR}/src/test
)

GENERATE_EXPORT_HEADER(
   qgis_test
   BASE_NAME TEST
   EXPORT_FILE_NAME qgis_test.h
)

target_link_libraries(qgis_test qgis_core ${QT_VERSION_BASE}::Test)

set(QGIS_TEST_HDRS ${QGIS_TEST_HDRS} ${CMAKE_CURRENT_BINARY_DIR}/qgis_test.h)

if(NOT QGIS_MAC_BUNDLE)
  install(FILES ${QGIS_TEST_HDRS} DESTINATION ${QGIS_INCLUDE_DIR})
endif()

=== src/ui/CMakeLists.txt ===

file(GLOB QGIS_UIS "${CMAKE_CURRENT_SOURCE_DIR}/*.ui")
file(GLOB SYMBOLLAYER_UIS "${CMAKE_CURRENT_SOURCE_DIR}/symbollayer/*.ui")
file(GLOB EDITORWIDGET_UIS "${CMAKE_CURRENT_SOURCE_DIR}/editorwidgets/*.ui")
file(GLOB PAINTEFFECT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/effects/*.ui")
file(GLOB LABELING_UIS "${CMAKE_CURRENT_SOURCE_DIR}/labeling/*.ui")
file(GLOB LAYOUT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/layout/*.ui")
file(GLOB PROCESSING_UIS "${CMAKE_CURRENT_SOURCE_DIR}/processing/*.ui")
file(GLOB AUTH_UIS "${CMAKE_CURRENT_SOURCE_DIR}/auth/*.ui")
file(GLOB RASTER_UIS "${CMAKE_CURRENT_SOURCE_DIR}/raster/*.ui")
file(GLOB STYLEDOCK_UIS "${CMAKE_CURRENT_SOURCE_DIR}/styledock/*.ui")
file(GLOB MESH_UIS "${CMAKE_CURRENT_SOURCE_DIR}/mesh/*.ui")
file(GLOB POINTCLOUD_UIS "${CMAKE_CURRENT_SOURCE_DIR}/pointcloud/*.ui")
file(GLOB _3D_UIS "${CMAKE_CURRENT_SOURCE_DIR}/3d/*.ui")
file(GLOB CALLOUT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/callouts/*.ui")
file(GLOB NUMERICFORMAT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/numericformats/*.ui")
file(GLOB ATTRIBUTEFORMCONFIG_UIS "${CMAKE_CURRENT_SOURCE_DIR}/attributeformconfig/*.ui")
file(GLOB GEOREFERENCER_UIS "${CMAKE_CURRENT_SOURCE_DIR}/georeferencer/*.ui")
file(GLOB ANNOTATION_UIS "${CMAKE_CURRENT_SOURCE_DIR}/annotations/*.ui")
file(GLOB SENSOR_UIS "${CMAKE_CURRENT_SOURCE_DIR}/sensor/*.ui")
file(GLOB TILED_SCENE_UIS "${CMAKE_CURRENT_SOURCE_DIR}/tiledscene/*.ui")
file(GLOB STAC_UIS "${CMAKE_CURRENT_SOURCE_DIR}/stac/*.ui")
file(GLOB PLOT_UIS "${CMAKE_CURRENT_SOURCE_DIR}/plot/*.ui")

qt_wrap_ui(QGIS_UIS_H
  ${QGIS_UIS}
  ${SYMBOLLAYER_UIS}
  ${EDITORWIDGET_UIS}
  ${PAINTEFFECT_UIS}
  ${PROCESSING_UIS}
  ${AUTH_UIS}
  ${RASTER_UIS}
  ${STYLEDOCK_UIS}
  ${LAYOUT_UIS}
  ${MESH_UIS}
  ${POINTCLOUD_UIS}
  ${_3D_UIS}
  ${CALLOUT_UIS}
  ${LABELING_UIS}
  ${NUMERICFORMAT_UIS}
  ${ATTRIBUTEFORMCONFIG_UIS}
  ${GEOREFERENCER_UIS}
  ${ANNOTATION_UIS}
  ${SENSOR_UIS}
  ${TILED_SCENE_UIS}
  ${STAC_UIS}
  ${PLOT_UIS}
)

# install
if(NOT QGIS_MAC_BUNDLE)
  install(FILES ${QGIS_UIS_H} DESTINATION ${QGIS_INCLUDE_DIR})
endif()

add_custom_target(ui ALL DEPENDS ${QGIS_UIS_H})

# target_sources for custom targets only available in cmake 3.20 and above,
# debian bullseye still has 3.18
if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.20")
target_sources(ui
  PRIVATE
    qgsplaybackcontrollerwidgetbase.ui
)
endif(CMAKE_VERSION VERSION_GREATER_EQUAL "3.20")

=== debian/changelog ===
qgis (1:3.99.0+git20251105+0ceeea4a5de+43questing) questing; urgency=medium

  * New development version 3.99 after branch of 3.44
  * nightly build of development branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 06 Nov 2025 08:54:54 +0000

=== debian/control ===
Source: qgis
Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>
Uploaders: Jürgen E. Fischer <jef@norbit.de>
Section: science
Priority: optional
Build-Depends:
 bison,
 ca-certificates,
 cmake (>= 2.8),
 debhelper (>= 9),
 dh-python,
 flex,
 gdal-bin,
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libfcgi-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libdraco-dev,
 libspatialite-dev,
 libmeshoptimizer-dev,
 libsqlite3-dev,
 libsqlite3-mod-spatialite,
 libzip-dev,
 nlohmann-json3-dev,
 ninja-build,
 ocl-icd-opencl-dev,
 opencl-headers,
 pkgconf,
 python3-all-dev,
 python3-dev,
 python3-gdal,
 python3-mock,
 python3-nose2,
 python3-owslib,
 python3-packaging,
 python3-psycopg2,
 python3-pyqtbuild,
 sip-tools,
 python3-termcolor,
 python3-yaml,
 libprotobuf-dev,
 protobuf-compiler,
 libzstd-dev,
 git,
 graphviz,
 xvfb,
 xauth,
 xfonts-base,
 xfonts-100dpi,
 xfonts-75dpi,
 xfonts-scalable,
 spawn-fcgi,
 poppler-utils,
 lighttpd,
 qt6-base-dev, qt6-base-private-dev, qt6-multimedia-dev, qt6-positioning-dev, qtkeychain-qt6-dev, qt6-tools-dev-tools, qt6-tools-dev, libqca-qt6-dev,   libqca-qt6-plugins,   libqscintilla2-qt6-dev,
 qtbase5-dev,  qtbase5-private-dev,  qtmultimedia5-dev,  qtpositioning5-dev,  qtkeychain-qt5-dev, qttools5-dev-tools,  qttools5-dev,  libqca-qt5-2-dev, libqca-qt5-2-plugins, libqscintilla2-qt5-dev,
 libqt5opengl5-dev, libqt5serialport5-dev, libqt5sql5-sqlite, libqt5svg5-dev, libqt5xmlpatterns5-dev,
 qt6-serialport-dev, qt6-svg-dev, qt6-5compat-dev, qt6-webengine-dev,
 qt3d5-dev,  qt3d-assimpsceneimport-plugin,   qt3d-defaultgeometryloader-plugin,   qt3d-gltfsceneio-plugin,   qt3d-scene2d-plugin,
 qt6-3d-dev, qt6-3d-assimpsceneimport-plugin, qt6-3d-defaultgeometryloader-plugin, qt6-3d-gltfsceneio-plugin, qt6-3d-scene2d-plugin,
 python3-pyqt5, python3-pyqt5.qsci, python3-pyqt5.qtmultimedia, python3-pyqt5.qtpositioning, python3-pyqt5.qtserialport, python3-pyqt5.qtsvg, pyqt5-dev-tools, pyqt5-dev, pyqt5.qsci-dev, python3-pyqt6.sip, python3-pyqt5.qtsql,
 python3-pyqt6, python3-pyqt6.qsci, python3-pyqt6.qtmultimedia, python3-pyqt6.qtpositioning, python3-pyqt6.qtserialport, python3-pyqt6.qtsvg, pyqt6-dev-tools, pyqt6-dev, pyqt6.qsci-dev, python3-pyqt6.sip,
 libsfcgal-dev (>= 2.0.0),
 locales
Build-Conflicts:
 libspatialindex-dev (>= 2.1.0),
 libqgis-dev,
 libqgis-qt6-dev,
 qgis-dev
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/qgis/QGIS/
Vcs-Git: https://github.com/qgis/QGIS.git
Homepage: https://qgis.org/
Rules-Requires-Root: no

Package: qgis-common
Architecture: all
Depends:
 libjs-jquery,
 libjs-leaflet,
 qml-module-qtcharts,
 ${misc:Depends}
Description: QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the QGIS GRASS plugin.

Package: python3-qgis-common
Architecture: all
Section: python
Depends:
 gdal-bin,
 python3-gdal,
 python3-matplotlib,
 ${python3:Depends},
 ${misc:Depends}
Breaks: python-qgis-common (<< ${source:Version})
Replaces: python-qgis-common (<< ${source:Version})
Suggests:
 saga
Description: Python bindings to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS Python
 bindings.

Package: qgis-providers-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qgis-common (<= 1.6)
Replaces: qgis-common (<= 1.6)
Description: collection of data providers to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS providers.

Package: python-qgis
Depends: python3-qgis, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python-qgis-common
Depends: python3-qgis-common, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: qgis-server-common
Architecture: all
Description: QGIS - common server files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the common files of QGIS server.

Package: qgis-quick-common
Architecture: all
Description: QGIS - common Qt Quick files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the common files for Qt Quick.

Package: qgis
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3-qgis (= ${binary:Version}),
 qgis-providers (= ${binary:Version}),
 qgis-common (= ${source:Version})
Recommends:
 qgis-plugin-grass
Suggests: gpsbabel
Conflicts: uim-qt3
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. QGIS supports shape file viewing and
 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,
 map composition, and a number of other features via a plugin interface. QGIS
 also supports display of various georeferenced raster and Digital Elevation
 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII
 DEM.

Package: libqgis-3d3.99.0
Architecture: any
Section: libs
Depends:
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared 3d library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared 3d library.

Package: libqgis-analysis3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared analysis library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared analysis library.

Package: libqgis-app3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.99.0
Description: QGIS - shared app library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared app library.

Package: libqgis-core3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared core library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared core library.

Package: libqgis-gui3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared gui library.

Package: libqgis-native3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared native gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared native gui library.

Package: libqgis-server3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared server library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared server library.

Package: libqgis-quick
Architecture: any
Section: libs
Depends:
 qgis-quick-common (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared quick library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared quick library.

Package: libqgisgrass8-3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared grass library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared grass library.

Package: libqgispython3.99.0
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.99.0
Description: QGIS - shared Python library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared Python library.

Package: libqgis-customwidgets
Architecture: any
Depends:
 qttools5-dev-tools,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS custom widgets for Qt Designer
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains a library to use specific QGIS widgets in Qt Designer.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 qtbase5-dev, qtmultimedia5-dev, qtpositioning5-dev, qttools5-dev, libqca-qt5-2-dev, libqscintilla2-qt5-dev, libqt5svg5-dev, pyqt5-dev-tools, pyqt5.qsci-dev, python3-pyqt5, python3-pyqt5.qsci, python3-pyqt5.qtsql,
 libqgis-3d3.99.0 (= ${binary:Version}),
 libqgis-analysis3.99.0 (= ${binary:Version}),
 libqgis-app3.99.0 (= ${binary:Version}),
 libqgis-core3.99.0 (= ${binary:Version}),
 libqgis-gui3.99.0 (= ${binary:Version}),
 libqgis-native3.99.0 (= ${binary:Version}),
 libqgis-server3.99.0 (= ${binary:Version}),
 libqgisgrass8-3.99.0 (= ${binary:Version}),
 libqgispython3.99.0 (= ${binary:Version}),
 libsqlite3-dev,
 nlohmann-json3-dev,
 python3-dev,
 ${misc:Depends}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Description: QGIS - development files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the libraries needed to develop plugins for QGIS.

Package: qgis-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 libqgis-3d3.99.0 (= ${binary:Version}),
 libqgis-analysis3.99.0 (= ${binary:Version}),
 libqgis-app3.99.0 (= ${binary:Version}),
 libqgis-core3.99.0(= ${binary:Version}),
 libqgis-gui3.99.0 (= ${binary:Version}),
 libqgis-native3.99.0 (= ${binary:Version}),
 libqgis-server3.99.0 (= ${binary:Version}),
 libqgisgrass8-3.99.0 (= ${binary:Version}),
 libqgispython3.99.0 (= ${binary:Version}),
 ${misc:Depends}
Suggests: gdb
Description: QGIS - debugging symbols
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains debugging symbols.

Package: qgis-provider-grass
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS provider for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
